import Numeric, foo
    
def testall():
    print "Numeric: ===============================>"
    a = Numeric.arange(80.)
    a.shape = (8,10)
    b = a.copy()
    print "foo.in_f:"
    foo.in_f(a)
    print "foo.in_c:"
    foo.in_c(a)
    print "foo.in_out_comma_f:"
    a1, b1 = foo.in_out_comma_f(a, b); print repr(a1); print repr(b1)
    print "foo.in_out_comma_c:"
    a1, b1 = foo.in_out_comma_c(a, b); print repr(a1); print repr(b1)
    print "foo.in_out_c:"
    # foo.in_out_c(a,b); print str(b)
    # foo.in_out_f(a,b); print str(b)
    # b = foo.out_c(b); print str(b)
    # b = foo.out_f(b); print str(b)

if __name__ == "__main__":
    testall()
